List all order items with menu item details
Returns an array of order items for a specific order.
Use the filter parameter to filter by order ID.
/order-itemsSecurity
This operation accepts the following authorization requirements.
Request
Query parameters
filterstringrequiredFilters the collection items using space-separated field:value pairs.
Format: field1:value1 field2:value2
Supported operators:
field:value- Exact matchfield:value1,value2- Match any of the comma-separated values (OR)- Time ranges: Use
30d(30 days),7d(7 days),1h(1 hour), etc.
Examples:
status:placed- Filter by single status.status:placed,completed- Filter by multiple statuses.createdAt:30d- Filter orders created in the last 30 days.orderId:ord_01h1s5z6vf2mm1mz3hevnn9va7- Filter by specific order ID.status:placed createdAt:7d- Combine multiple filters.
Response
Successful operation.
bodyobject[]List of menu items that are part of the order.
Item properties (5)
menuItemIdstringrequiredID of the menu item to add to the order.
menuItemone ofMenu item that is part of the order.
Options (2)
quantityintegerrequiredQuantity of the menu item.
discountintegerDiscount amount in cents (absolute value).
commentstringOptional comment for the order item (e.g., “No sugar”).
Bad request - invalid input parameters.
typestring:uri-referencerequiredURI reference that identifies the problem type.
titlestringrequiredShort summary of the problem type.
statusinteger:int32requiredHTTP status code generated by the origin server for this occurrence of the problem.
instancestring:uri-referenceURI reference that identifies the specific occurrence of the problem, e.g. by adding a fragment identifier or sub-path to the problem type. May be used to locate the root of this problem in the source code.
detailsobjectAdditional error details.
Unauthorized - authorization required.
typestring:uri-referencerequiredURI reference that identifies the problem type.
titlestringrequiredShort summary of the problem type.
statusinteger:int32requiredHTTP status code generated by the origin server for this occurrence of the problem.
instancestring:uri-referenceURI reference that identifies the specific occurrence of the problem, e.g. by adding a fragment identifier or sub-path to the problem type. May be used to locate the root of this problem in the source code.
detailsobjectAdditional error details.
Forbidden - insufficient permissions.
typestring:uri-referencerequiredURI reference that identifies the problem type.
titlestringrequiredShort summary of the problem type.
statusinteger:int32requiredHTTP status code generated by the origin server for this occurrence of the problem.
instancestring:uri-referenceURI reference that identifies the specific occurrence of the problem, e.g. by adding a fragment identifier or sub-path to the problem type. May be used to locate the root of this problem in the source code.
detailsobjectAdditional error details.
Resource not found.
typestring:uri-referencerequiredURI reference that identifies the problem type.
titlestringrequiredShort summary of the problem type.
statusinteger:int32requiredHTTP status code generated by the origin server for this occurrence of the problem.
instancestring:uri-referenceURI reference that identifies the specific occurrence of the problem, e.g. by adding a fragment identifier or sub-path to the problem type. May be used to locate the root of this problem in the source code.
detailsobjectAdditional error details.
Internal server error.
typestring:uri-referencerequiredURI reference that identifies the problem type.
titlestringrequiredShort summary of the problem type.
statusinteger:int32requiredHTTP status code generated by the origin server for this occurrence of the problem.
instancestring:uri-referenceURI reference that identifies the specific occurrence of the problem, e.g. by adding a fragment identifier or sub-path to the problem type. May be used to locate the root of this problem in the source code.
detailsobjectAdditional error details.